Ubuntu

[nvidia 295.40] compiz crashed with SIGSEGV in GLWindow::glDraw() from UnityMTGrabHandlesWindow::glDraw()

Reported by arpanaut on 2012-04-12
276
This bug affects 59 people
Affects Status Importance Assigned to Milestone
Unity
Critical
Sam Spilsbury
nvidia-graphics-drivers (Ubuntu)
High
Alberto Milone
Nominated for Precise by Daniel van Vugt
Nominated for Quantal by Daniel van Vugt
nvidia-graphics-drivers-updates (Ubuntu)
High
Alberto Milone
Nominated for Precise by Daniel van Vugt
Nominated for Quantal by Daniel van Vugt
unity (Ubuntu)
High
Unassigned
Nominated for Precise by Daniel van Vugt
Nominated for Quantal by Daniel van Vugt

Bug Description

This crash happened immediately after todays updates (4/12/2012) and rebooting.
100+ packages, notably to compiz and unity. I get to the login okay, then the desktop tries to start.
Unity desktop never appears, then the background disappears, there is some flickering,then just black screen.
After a while the apport box appears along with the background. Hence I report this bug.
Going to forcibly shut down and reboot to see what happens.

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: unity 5.8.0-0ubuntu2
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.0.1-0ubuntu2
Architecture: amd64
CrashCounter: 1
Date: Thu Apr 12 16:49:32 2012
ExecutablePath: /usr/bin/compiz
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110409)
ProcCmdline: compiz
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SegvAnalysis:
 Segfault happened at: 0x7fddb78487e5: mov (%rsi),%rax
 PC (0x7fddb78487e5) ok
 source "(%rsi)" (0x7fdd8b32a000) not located in a known VMA region (needed readable region)!
 destination "%rax" ok
SegvReason: reading unknown VMA
Signal: 11
SourcePackage: unity
StacktraceTop:
 ?? () from /lib/x86_64-linux-gnu/libc.so.6
 ?? () from /lib/x86_64-linux-gnu/libc.so.6
 ?? () from /usr/lib/nvidia-current/libnvidia-glcore.so.295.40
 ?? () from /usr/lib/nvidia-current/libnvidia-glcore.so.295.40
 ?? () from /usr/lib/nvidia-current/libnvidia-glcore.so.295.40
Title: compiz crashed with SIGSEGV
UpgradeStatus: Upgraded to precise on 2012-03-30 (13 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

arpanaut (johnmac) wrote :
visibility: private → public

StacktraceTop:
 _wordcopy_fwd_aligned (dstp=69406944, srcp=140589499850752, len=640) at wordcopy.c:80
 ?? ()
 ?? ()

Changed in unity (Ubuntu):
status: New → Invalid

Thank you for your report!

However, processing it in order to get sufficient information for the
developers failed (it does not generate a useful symbolic stack trace). This
might be caused by some outdated packages which were installed on your system
at the time of the report:

libnux-2.0-common version 2.8.0-0ubuntu2 required, but 2.10.0-0ubuntu1 is available
nux-tools version 2.8.0-0ubuntu2 required, but 2.10.0-0ubuntu1 is available
outdated debug symbol package for nux-tools: package version 2.10.0-0ubuntu1 dbgsym version 2.8.0-0ubuntu2
libnux-2.0-0 version 2.8.0-0ubuntu2 required, but 2.10.0-0ubuntu1 is available
outdated debug symbol package for libnux-2.0-0: package version 2.10.0-0ubuntu1 dbgsym version 2.8.0-0ubuntu2
outdated debug symbol package for libgconf2-4: package version 3.2.5-0ubuntu2 dbgsym version 3.2.3-0ubuntu0.1

Please upgrade your system to the latest package versions. If you still
encounter the crash, please file a new report.

Thank you for your understanding, and sorry for the inconvenience!

tags: removed: need-amd64-retrace

That's interesting in that this happened after fully updating just prior to rebooting???
I can boot into 2-D environment, I will run a full dist-upgrade and see if that helps.

arpanaut (johnmac) wrote :

Fully updated&&upgraded, no additional packages available,
Remembering that some compiz changes just a while back required
a resetting of unity I ran unity reset and got some interesting errors.
See attachment.

arpanaut (johnmac) wrote :
summary: - compiz crashed with SIGSEGV
+ compiz crashed with SIGSEGV in GLWindow::glDraw() from
+ UnityMTGrabHandlesWindow::glDraw()
Changed in unity (Ubuntu):
status: Invalid → Confirmed
Changed in unity:
status: New → Confirmed

Re: Apport retracing service, those packages mentioned as outdated remain in proposed repositoryand not in main.
I'm going to enable proposed and update and see what happens.
This is a purely test install so if a reinstall becomes necessary, so it goes.

arpanaut (johnmac) wrote :

No, that is going to remove too many packages.
That must be the reason for those packages still being in proposed.

Tried install Nvidia-current-updates driver made no difference here.

arpanaut (johnmac) wrote :

Well, all the nux packages came down on main finally
but that made little difference, and unity plugin became disabled
so I reset everything as is on my working installs, compiz still crashed.

So I uninstalled nvidia-current and lo and behold I was able to log into
Unity 3-D Then just to make sure that was the culpert I reinstalled nv-current
and sure enough compiz and unity broken again.
Uninstalled again and have a working unity desktop.

Not entirely satisfactory, but hey, it's working for now.
Will be keeping an eye on things as they progress.

casparvanster (casparvan) wrote :

I've tried the other package, nvidia post release updates and that doesn't help me either.

Changed in unity:
milestone: none → 5.12.0
Paul (p37307) wrote :

Interesting note about this is it is a NVIDIA/COMPIZ problem not a Unity issue. Compiz dependant GNOME session did the same thing.

I logged in under 2d version and disabled the proprietary graphics driver for NVIDIA cards VIA settings/additional drivers setting.

It defaults you back to nouveau drivers

I then cleaned my system with ubucleaner and rebooted and logged back in regular session instead of 2D. All is good.

Info about UbuCleaner can be found here: http://www.ubuntugeek.com/ubucleaner-simple-bash-script-to-keep-your-ubuntu-system-clean.html

I tried re-enabling NVIDIA proprietary graphics driver for both current and post current versions and the problem came back.

Until this can be solved, I guess reverting to Nouveau is the best choice.

Changed in unity:
assignee: nobody → Sam Spilsbury (smspillaz)
importance: Undecided → Critical
status: Confirmed → In Progress
andreas (andreas-demey) wrote :

I have the same issue on ubuntu 11.10, just like other people that have reported the issue here:
http://ubuntuforums.org/showthread.php?p=11844615

Ben A (8-roothorick-gmail-com) wrote :

It's not a compiz problem at all -- it's an nvidia-drivers problem. Try glxgears on an affected system -- you'll get 5fps, tops. Flash runs horrendously slowly and has a chance to hang the browser outright. Minecraft straight-up freezes at the Mojang logo. If it's OpenGL, it doesn't work.

Ben A (8-roothorick-gmail-com) wrote :

As I established in the other bug, it's a regression in nvidia-drivers 295.40. Reverting to 295.33 fixes the issue. This is a bit of a problem since 295.40 patches a potentially serious security vulnerability.

dmiranda (dmiranda) wrote :

The crash also occurs using gnome shell and kde (with effects enabled) and gnome classic with compiz.

In my machine i can only use gnome classic without compiz and unity 2d

I believe that this bug are not from unity but from nvidia package.

andreas (andreas-demey) wrote :

UbuntuGamingProject says about Nvidia 295.40: "Please be careful, this new driver breaks openGL libraries on 64-bit systems!"

http://www.unixmen.com/nvidia-295-40-is-available-install-in-ubuntu11-1012-04-linuxmint-via-ppa/

Daniel van Vugt (vanvugt) wrote :

The problems with nvidia 295.40 are also being tracked in --> bug 982485

summary: - compiz crashed with SIGSEGV in GLWindow::glDraw() from
+ [nvidia 295.40] compiz crashed with SIGSEGV in GLWindow::glDraw() from
UnityMTGrabHandlesWindow::glDraw()
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

affects: nvidia-drivers-ubuntu → nvidia-graphics-drivers (Ubuntu)
Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Confirmed
Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Confirmed
Changed in nvidia-graphics-drivers (Ubuntu):
importance: Undecided → High
Changed in unity (Ubuntu):
importance: Undecided → High

I run Ubuntu 11.10 on a dual boot system using wubi
I am not sure if my situation is the same, but when my system crashed (no login screen) after installing the recommended nvidia drivers I could boot with a previously installed kernel (#15). But every update of the kernel after #15 gives me a blank screen.

Leon (leonbo) wrote :

Reverting back to 295.33 fixed it for me. I used the one from this page: https://launchpad.net/ubuntu/precise/amd64/nvidia-current/295.33-0ubuntu1

@Leon: when I tried to install nvidia-current 195.33-0buntu1 I got a message saying that depenency xorg-video-abi-11 is unavailable. This is a virtual package. I do have xserver-xorg-core installed. I have an Intel core i5 processor.

Didier Roche (didrocks) on 2012-04-27
Changed in unity:
milestone: 5.12.0 → 5.14.0
Ptitphysik (amalpeyre) on 2012-05-02
Changed in unity:
status: In Progress → Fix Released
Ptitphysik (amalpeyre) wrote :

Sorry, it's an error.. The bug isn't in Fix Released..

Changed in nvidia-graphics-drivers-updates (Ubuntu):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Alberto Milone (albertomilone)
Ben A (8-roothorick-gmail-com) wrote :

For those wanting to test the new nvidia driver release, debs of 295.49 are available here: https://launchpad.net/~suraia/+archive/ppa/+build/3464331

Paul (p37307) wrote :

I noticed by looking at my logs and the changelog to the Nvidia-current in the repo that the day nvidia-current was updated and released on April 12, was the same day my nvidia crashed.

The change log with the changes are:
nvidia-graphics-drivers (295.40-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Added support for the following GPUs:
      o GeForce GT 635M
      o GeForce 610M
    - SECURITY UPDATE: privilege escalation via kernel
      memory access (LP: #959842).
    - Fixed a bug that caused DisplayPort devices to
      occasionally fail to turn back on after the system
      is resumed from suspend.
    - Added a ModeValidation X configuration option token,
      "AllowNon3DVisionModes", to allow modes that are not
      optimized for NVIDIA 3D Vision to be validated on 3D
      Vision monitors.

 -- Alberto Milone <email address hidden> Thu, 12 Apr 2012 15:08:57 +0200

I'd like to hear from Alberto Milone.

In other news, this has ticked me off so much, 1) major graphics breakage days before a LTS release, lack of a reasonable fix, blaming NVIDIA, etc, that I am testing another Linux OS.

arpanaut (johnmac) wrote :

I enabled proposed repository and installed 295.49-0ubuntu0.1
And with the update to Unity 5.12-0ubuntu1
Everything seems to be running well, except maybe a little laginess
12.04 64bit Hope this solves it for others too.

Jason Rennie (jrennie) wrote :

I installed a 295.49-0ubuntu0.1 deb via the link provided by Ben A, changed my xorg.conf display driver from "nouveau" to "nvidia" and rebooted. I got a text login screen and found a segfault in Xorg.0.log (see below). Let me know if more from my log file would be useful.

[...]
[ 45.156] (II) NVIDIA(0): Setting mode "nvidia-auto-select"
[ 45.194] Backtrace:
[ 45.250] 0: /usr/bin/X (xorg_backtrace+0x26) [0x7f1149854856]
[ 45.250] 1: /usr/bin/X (0x7f11496cc000+0x18c6fa) [0x7f11498586fa]
[ 45.250] 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f11489f2000+0xfcb0) [0x7f1148a01cb0]
[ 45.250] 3: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so (0x7f114262d000+0x1024ab) [0x7f114272f4ab]
[...]
[ 45.250] 12: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so (0x7f114262d000+0x4a4591) [0x7f1142ad1591]
[ 45.250] 13: /usr/bin/X (AddScreen+0x171) [0x7f114971aad1]
[ 45.250] 14: /usr/bin/X (InitOutput+0x294) [0x7f114975a884]
[ 45.250] 15: /usr/bin/X (0x7f11496cc000+0x3d4dd) [0x7f11497094dd]
[ 45.250] 16: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7f114788776d]
[ 45.251] 17: /usr/bin/X (0x7f11496cc000+0x3d99d) [0x7f114970999d]
[ 45.251] Segmentation fault at address 0x30
[ 45.251] Caught signal 11 (Segmentation fault). Server aborting
[...]

Here was the output of "dpkg -l" at the time of the segfault:

[...]
ii nvidia-current 295.49-0ubuntu1~precise1 NVIDIA binary Xorg driver, kernel module and VDPAU library

I've since switched the xorg.conf display driver to "nouveau", run "apt-get purge nvidia-current", and rebooted---I'm back to "normal".

Justin Milatz (jmilatz) wrote :

I just installed 295.49-0ubuntu0.1.deb from the quantal repository onto a fresh istall of 12.04 64bit and can confirm that this solves the problem. So far performance feels higher than when using nouveau.
I am running a gforce8800gtx.
The aforementioned problem had occured right after installing 12.04 and had previously been present under 11.10 as well.
In both cases purging nvidia current solved the problem.

Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Fix Released
assignee: nobody → Alberto Milone (albertomilone)
milestone: none → quantal-alpha-1
Changed in unity:
status: Fix Released → Invalid
Changed in nvidia-graphics-drivers-updates (Ubuntu):
status: Triaged → Fix Committed
milestone: none → quantal-alpha-1
status: Fix Committed → Fix Released
Changed in unity (Ubuntu):
status: Confirmed → Invalid
casparvanster (casparvan) wrote :

After bug appeared with upgrade to precise, I installed fresh without nvidia drivers. I read fix is released. however, when I try to install current nvidia, same problem occurs.
How do I install fix??

Daniel van Vugt (vanvugt) wrote :

This bug should be fixed in nvidia driver 295.49. However that update has only been released for the 'nvidia-current-updates' package and not the 'nvidia-current' package.

I can't test it right now, but if you want the latest driver with the fix, try removing package 'nvidia-current' and installing 'nvidia-current-updates' instead.

Thnx,everything seems to work ok now, I will report if any changes in behaviour occur.grtz Cas

> Date: Tue, 15 May 2012 03:29:39 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 980298] Re: [nvidia 295.40] compiz crashed with SIGSEGV in GLWindow::glDraw() from UnityMTGrabHandlesWindow::glDraw()
>
> This bug should be fixed in nvidia driver 295.49. However that update
> has only been released for the 'nvidia-current-updates' package and not
> the 'nvidia-current' package.
>
> I can't test it right now, but if you want the latest driver with the
> fix, try removing package 'nvidia-current' and installing 'nvidia-
> current-updates' instead.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/980298
>
> Title:
> [nvidia 295.40] compiz crashed with SIGSEGV in GLWindow::glDraw() from
> UnityMTGrabHandlesWindow::glDraw()
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/980298/+subscriptions

Changed in unity:
milestone: 5.14.0 → none
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers